{
  pkgs,
  lib,
  config,
  ...
}: let
  cfg = config.dots.media-tools;
in {
  imports = [
    ./mpv
    ./nsxiv
    ./obs
    ./gimp
    ./audacity
    ./krita
    ./kdenlive
  ];
  options.dots.media-tools = {
    enable = lib.mkEnableOption "enables all programs by default";
  };

  config = lib.mkIf cfg.enable {
    dots = {
      mpv.enable = lib.mkDefault true;
      nsxiv.enable = lib.mkDefault true;
      obs.enable = lib.mkDefault true;
      gimp.enable = lib.mkDefault true;
      audacity.enable = lib.mkDefault true;
      krita.enable = lib.mkDefault true;
      kdenlive.enable = lib.mkDefault true;
    };

    home.packages = with pkgs; [
      mediainfo
      ffmpeg_6
      imagemagick
    ];
  };
}
